Loading...
Searching...
No Matches
ISMRMRD::ISMRMRD_EncodingCounters Struct Reference

`#include <ismrmrd.h>`

## Public Attributes

uint16_t | kspace_encode_step_1
uint16_t | kspace_encode_step_2
uint16_t | average
uint16_t | slice
uint16_t | contrast
uint16_t | phase
uint16_t | repetition
uint16_t | set
uint16_t | segment
uint16_t | user [ISMRMRD_USER_INTS]

## Detailed Description

Struct used for keeping track of typical loop counters in MR experiment.

## Member Data Documentation

## average

uint16_t ISMRMRD::ISMRMRD_EncodingCounters::average

e.g. signal average number

## contrast

uint16_t ISMRMRD::ISMRMRD_EncodingCounters::contrast

e.g. echo number in multi-echo

## kspace_encode_step_1

uint16_t ISMRMRD::ISMRMRD_EncodingCounters::kspace_encode_step_1

e.g. phase encoding line number

## kspace_encode_step_2

uint16_t ISMRMRD::ISMRMRD_EncodingCounters::kspace_encode_step_2

e.g. partition encoding number

## phase

uint16_t ISMRMRD::ISMRMRD_EncodingCounters::phase

e.g. cardiac phase number

## repetition

uint16_t ISMRMRD::ISMRMRD_EncodingCounters::repetition

e.g. dynamic number for dynamic scanning

## segment

uint16_t ISMRMRD::ISMRMRD_EncodingCounters::segment

e.g. segment number for segmented acquisition

## set

uint16_t ISMRMRD::ISMRMRD_EncodingCounters::set

e.g. flow encoding set

## slice

uint16_t ISMRMRD::ISMRMRD_EncodingCounters::slice

e.g. imaging slice number

## user

uint16_t ISMRMRD::ISMRMRD_EncodingCounters::user[ISMRMRD_USER_INTS]

Free user parameters

The documentation for this struct was generated from the following file:

- ismrmrd.h